- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_envelope.h File Reference

axiom_soap_envelope struct corresponds to root element of soap message More...

`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axiom_element.h>`
`#include <axiom_namespace.h>`
`#include <axutil_array_list.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_envelope | axiom_soap_envelope_t
## Functions
AXIS2_EXTERN axiom_soap_envelope_t * | axiom_soap_envelope_create (const axutil_env_t *env, axiom_namespace_t *ns)
AXIS2_EXTERN axiom_soap_envelope_t * | axiom_soap_envelope_create_with_soap_version_prefix (const axutil_env_t *env, int soap_version, const axis2_char_t *prefix)
AXIS2_EXTERN axiom_soap_envelope_t * | axiom_soap_envelope_create_default_soap_envelope (const axutil_env_t *env, int soap_version)
AXIS2_EXTERN axiom_soap_envelope_t * | axiom_soap_envelope_create_default_soap_fault_envelope (const axutil_env_t *env, const axis2_char_t *code_value, const axis2_char_t *reason_text, const int soap_version, axutil_array_list_t *sub_codes, axiom_node_t *detail_node)
AXIS2_EXTERN struct axiom_soap_header * | axiom_soap_envelope_get_header (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_body * | axiom_soap_envelope_get_body (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_envelope_serialize (axiom_soap_envelope_t *envelope, const axutil_env_t *env, axiom_output_t *om_output, axis2_bool_t cache)
AXIS2_EXTERN void | axiom_soap_envelope_free (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_envelope_get_base_node (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_soap_envelope_get_soap_version (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN axiom_namespace_t * | axiom_soap_envelope_get_namespace (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_envelope_set_soap_version (axiom_soap_envelope_t *envelope, const axutil_env_t *env, int soap_version)
AXIS2_EXTERN axis2_status_t | axiom_soap_envelope_increment_ref (axiom_soap_envelope_t *envelope, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_builder * | axiom_soap_envelope_get_soap_builder (axiom_soap_envelope_t *envelope, const axutil_env_t *env)

## Detailed Description

axiom_soap_envelope struct corresponds to root element of soap message